%global srcname qtermwidget

Name:		%{srcname}-qt4
Version:	0.6.0
Release:	5%{?dist}
License:	GPLv3+
Summary:	Qt4 terminal widget
URL:		https://github.com/qterminal/%{srcname}/

Source0:	https://github.com/qterminal/%{srcname}/releases/download/%{version}/%{srcname}-%{version}.tar.xz
# https://github.com/qterminal/qtermwidget/commit/da6838df1ab5a919c32cde68017518ac7b8ba0e5
Patch0:		qtermwidget-0.6.0-qt-virt-manager.patch

BuildRequires:  cmake
BuildRequires:	pkgconfig(QtGui)

%description
QTermWidget is an open-source project originally based on KDE4 Konsole
application, but it took its own direction later.
The main goal of this project is to provide Unicode-enabled, embeddable
Qt widget for using as a built-in console (or terminal emulation widget)

This package contains the Qt4 version.

%package	devel
Summary:	Qt4 terminal widget - devel package
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
Development files for Qt4 qtermwidget library.


%prep
%setup -qn %{srcname}-%{version}
%patch0 -p 0


%build
# qt4
mkdir build4
pushd build4
%{cmake} ..
make %{?_smp_mflags}
popd

%install
# qt4
pushd build4
%make_install
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%doc AUTHORS Changelog README
%{_libdir}/lib%{srcname}4.so.*
%{_libdir}/qt4/plugins/designer/lib%{srcname}4plugin.so
%{_datadir}/%{srcname}4/

%files	devel
%{_includedir}/%{srcname}4/
%{_libdir}/lib%{srcname}4.so
%{_libdir}/pkgconfig/%{srcname}4.pc
%{_datadir}/cmake/%{srcname}4/


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Apr 21 2017 Christian Dersch <lupinix@mailbox.org> - 0.6.0-2
- ensure clean qtermwidget upgradepath

* Tue Apr 11 2017 Christian Dersch <lupinix@mailbox.org> - 0.6.0-1
- initial spec, based on qtermwidget spec until version 0.6.0


